openerp-server for Debian
-------------------------

OpenERP uses a PostgreSQL database to store its data. With the first generation
of packages, you have to setup this database manually. Here is a short
explanation how to achieve this (you need to execute all commands as root):

  0. Making sure, PostgreSQL is running

     # /etc/init.d/postgresql restart

     Note that depending on the version of PostgreSQL installed on your system,
     the above syvinit script could also be named postgresql-VERSION (whereas
     'VERSION' needs to be replace with a version number).

  1. Creating the database

     # su - postgres -c "createdb -q --encoding=UNICODE openerp"

  2. Creating the database user

     # su - postgres -c "createuser -q --createdb --adduser openerp"

     Note: If you want to run the database as another user than 'openerp', you
     need to replace 'openerp' above with the user you want instead, and you
     need to adjust 'db_user = openerp' in /etc/openerp-server.conf too.

  4. Initializing the database

     # su - postgres -c "/usr/bin/openerp-server --init=all \
	--config=/etc/openerp-server.conf --stop-after-init"

  5. Restarting openerp-server

     # /etc/init.d/openerp-server restart

Now, you're finish. Please be aware of the following things:

  * openerp-server has by default two accounts:
    - User: admin; password: admin
    - User: demo; password; demo

  * openerp-server listens by default on port 8070. If you need to change this,
    edit /etc/openerp-server.conf and replace 'port = 8070' with
    'port = <your port>'.

  * openerp-server in the upstreams configuration listens by default to *all*
    interfaces. For security reasons, we do restrict it in the Debian packages
    to listen only on localhost. If you need to change this, edit
    /etc/openerp-server.conf and replace 'interface = localhost' with
    'interface = <your ip>'.

 -- Daniel Baumann <daniel@debian.org>  Fri,  1 Jun 2007 12:00:00 +0200
